import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../store/modules/chartEditStore/chartEditStore.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { defineComponent, resolveComponent, openBlock, createElementBlock, createVNode, withCtx, Fragment } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_input = resolveComponent("n-input");
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(unref(_sfc_main$1), {
          name: "信息",
          expanded: true
        }, {
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), {
              name: "文字",
              alone: true
            }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), null, {
                  default: withCtx(() => [
                    createVNode(_component_n_input, {
                      value: __props.optionData.dataset,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => __props.optionData.dataset = $event),
                      type: "textarea",
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        }),
        createVNode(unref(_sfc_main$1), {
          name: "样式",
          expanded: true
        }, {
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "文字" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "字体大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: __props.optionData.size,
                      "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.size = $event),
                      size: "small",
                      placeholder: "字体大小"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            createVNode(unref(SettingItemBox), { name: "渐变色参数" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "起始值" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: __props.optionData.gradient.from,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.gradient.from = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "结束值" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: __props.optionData.gradient.to,
                      "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.gradient.to = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "偏移角度" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: __props.optionData.gradient.deg,
                      "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.gradient.deg = $event),
                      size: "small",
                      placeholder: "颜色旋转"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
